ChangeSet 1.1608.24.6, 2004/02/26 14:09:18-08:00, stern@rowland.harvard.edu

[PATCH] USB: Remove name obfuscation in UHCI

On Mon, 23 Feb 2004, Stephen Hemminger wrote:
> Bulk and interrupt urb's share common irq processing, why does the
> code try to obfuscate it?

Quite right; this is needless complexity.  (But note you left in a couple
of lines that should have been deleted.)


 drivers/usb/host/uhci-hcd.c |   12 ++----------
 1 files changed, 2 insertions(+), 10 deletions(-)


diff -Nru a/drivers/usb/host/uhci-hcd.c b/drivers/usb/host/uhci-hcd.c
--- a/drivers/usb/host/uhci-hcd.c	Tue Mar 16 15:06:50 2004
+++ b/drivers/usb/host/uhci-hcd.c	Tue Mar 16 15:06:50 2004
@@ -1271,12 +1271,6 @@
 }
 
 /*
- * Bulk and interrupt use common result
- */
-#define uhci_result_bulk uhci_result_common
-#define uhci_result_interrupt uhci_result_common
-
-/*
  * Isochronous transfers
  */
 static int isochronous_find_limits(struct uhci_hcd *uhci, struct urb *urb, unsigned int *start, unsigned int *end)
@@ -1537,11 +1531,9 @@
 	case PIPE_CONTROL:
 		ret = uhci_result_control(uhci, urb);
 		break;
-	case PIPE_INTERRUPT:
-		ret = uhci_result_interrupt(uhci, urb);
-		break;
 	case PIPE_BULK:
-		ret = uhci_result_bulk(uhci, urb);
+	case PIPE_INTERRUPT:
+		ret = uhci_result_common(uhci, urb);
 		break;
 	case PIPE_ISOCHRONOUS:
 		ret = uhci_result_isochronous(uhci, urb);
